MinimalClientExec (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.execchain
Class MinimalClientExec

    java.lang.Object
      org.apache.http.impl.execchain.MinimalClientExec

All Implemented Interfaces:
  ClientExecChain

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class MinimalClientExec

extends Object
implements ClientExecChain

Request executor that implements the most fundamental aspects of the HTTP specification and the most straight-forward request / response exchange with the target server. This executor does not support execution via proxy and will make no attempts to retry the request in case of a redirect, authentication challenge or I/O error.

Since:
  4.3

Constructor Summary
`MinimalClientExec(org.apache.http.protocol.HttpRequestExecutor requestExecutor, HttpClientConnectionManager connManager, org.apache.http.ConnectionReuseStrategy reuseStrategy, ConnectionKeepAliveStrategy keepAliveStrategy)`

Method Summary
`CloseableHttpResponse` | `execute(HttpRoute route, HttpRequestWrapper request, HttpClientContext context, HttpExecutionAware execAware)` Executes th request either by transmitting it to the target server or by passing it onto the next executor in the request execution chain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimalClientExec

    public MinimalClientExec(org.apache.http.protocol.HttpRequestExecutor requestExecutor,
                             HttpClientConnectionManager connManager,
                             org.apache.http.ConnectionReuseStrategy reuseStrategy,
                             ConnectionKeepAliveStrategy keepAliveStrategy)

Method Detail

### execute

    public CloseableHttpResponse execute(HttpRoute route,
                                         HttpRequestWrapper request,
                                         HttpClientContext context,
                                         HttpExecutionAware execAware)
                                  throws IOException,
                                         org.apache.http.HttpException

  Description copied from interface: `ClientExecChain`
  Executes th request either by transmitting it to the target server or by passing it onto the next executor in the request execution chain.

  Specified by:
    `execute` in interface `ClientExecChain`
  Parameters:
    `route` - connection route.
    `request` - current request.
    `context` - current HTTP context.
    `execAware` - receiver of notifications of blocking I/O operations.
  Returns:
    HTTP response either received from the opposite endpoint or generated locally.
  Throws:
    `IOException` - in case of a I/O error. (this type of exceptions are potentially recoverable).
    `org.apache.http.HttpException` - in case of an HTTP protocol error (usually this type of exceptions are non-recoverable).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.